Package new upstream version open-vm-tools-11.1.5-16724464.

Removed gcc10-warning.patch and sdmp-fixes.patch (no longer needed).
This commit is contained in:
Ravindra Kumar 2020-09-08 14:57:52 -07:00
parent 227719bcc4
commit 1486520481
5 changed files with 10 additions and 176 deletions

1
.gitignore vendored
View File

@ -17,3 +17,4 @@
/open-vm-tools-11.0.0-14549434.tar.gz
/open-vm-tools-11.0.5-15389592.tar.gz
/open-vm-tools-11.1.0-16036546.tar.gz
/open-vm-tools-11.1.5-16724464.tar.gz

View File

@ -1,37 +0,0 @@
--- a/open-vm-tools/lib/user/utilBacktrace.c 2020-05-18 15:17:38.566170714 -0700
+++ b/open-vm-tools/lib/user/utilBacktrace.c 2020-05-18 15:19:32.678018476 -0700
@@ -431,13 +431,16 @@
}
}
#else
- uintptr_t *x = (uintptr_t *) &bugNr;
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Warray-bounds"
+ uintptr_t *x = ((uintptr_t *) &bugNr) - 2;
+#pragma GCC diagnostic pop
if (bugNr == 0) {
outFunc(outFuncData, "Backtrace:\n");
} else {
outFunc(outFuncData, "Backtrace for bugNr=%d\n",bugNr);
}
- UtilBacktraceFromPointerWithFunc(&x[-2], outFunc, outFuncData);
+ UtilBacktraceFromPointerWithFunc(x, outFunc, outFuncData);
#endif
}
--- a/open-vm-tools/services/plugins/dndcp/copyPasteCompatX11.c 2020-05-18 16:42:56.135715690 -0700
+++ b/open-vm-tools/services/plugins/dndcp/copyPasteCompatX11.c 2020-05-18 16:44:25.952405005 -0700
@@ -73,11 +73,11 @@
#endif
#ifndef GDK_SELECTION_TYPE_TIMESTAMP
-GdkAtom GDK_SELECTION_TYPE_TIMESTAMP;
+extern GdkAtom GDK_SELECTION_TYPE_TIMESTAMP;
#endif
#ifndef GDK_SELECTION_TYPE_UTF8_STRING
-GdkAtom GDK_SELECTION_TYPE_UTF8_STRING;
+extern GdkAtom GDK_SELECTION_TYPE_UTF8_STRING;
#endif
/*

View File

@ -20,15 +20,15 @@
%global _hardened_build 1
%global majorversion 11.1
%global minorversion 0
%global toolsbuild 16036546
%global minorversion 5
%global toolsbuild 16724464
%global toolsversion %{majorversion}.%{minorversion}
%global toolsdaemon vmtoolsd
%global vgauthdaemon vgauthd
Name: open-vm-tools
Version: %{toolsversion}
Release: 4%{?dist}
Release: 1%{?dist}
Summary: Open Virtual Machine Tools for virtual machines hosted on VMware
License: GPLv2
URL: https://github.com/vmware/%{name}
@ -45,9 +45,7 @@ ExclusiveArch: x86_64
ExclusiveArch: %{ix86} x86_64
%endif
Patch1: gcc10-warning.patch
# Cumulative patch for fixes from https://github.com/vmware/open-vm-tools/tree/stable-11.1.0-SDMP-fixes
Patch2: sdmp-fixes.patch
#Patch1: patch1.patch
BuildRequires: autoconf
BuildRequires: automake
@ -393,6 +391,10 @@ fi
%{_bindir}/vmware-vgauth-smoketest
%changelog
* Tue Sep 08 2020 Ravindra Kumar <ravindrakumar@vmware.com> - 11.1.5-1
- Package new upstream version open-vm-tools-11.1.5-16724464.
- Removed gcc10-warning.patch and sdmp-fixes.patch (no longer needed).
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 11.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

View File

@ -1,132 +0,0 @@
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c b/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
index 87dd58936..c6c2e1dc3 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
+++ b/open-vm-tools/services/plugins/serviceDiscovery/serviceDiscovery.c
@@ -381,9 +381,9 @@ ReadData(ToolsAppCtx *ctx,
status = SendRpcMessage(ctx, DynBuf_Get(&buf), DynBuf_GetSize(&buf),
resultData, resultDataLen);
if (!status) {
- g_warning("%s: Read over RPC failed, result: %s, resultDataLen: %" FMTSZ
- "u\n", __FUNCTION__, (*resultData != NULL) ?
- *resultData : "(null)", *resultDataLen);
+ g_debug("%s: Read over RPC failed, result: %s, resultDataLen: %" FMTSZ
+ "u\n", __FUNCTION__, (*resultData != NULL) ?
+ *resultData : "(null)", *resultDataLen);
}
done:
DynBuf_Destroy(&buf);
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
index 496c95eb6..b74d17153 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
@@ -23,7 +23,7 @@ get_version() {
}
get_vcops_version() {
- cat $ALIVE_BASE/user/conf/lastbuildversion.txt 2>/dev/null
+ cat /usr/lib/vmware-vcops/user/conf/lastbuildversion.txt 2>/dev/null
}
get_srm_mgt_server_version() {
@@ -76,10 +76,15 @@ get_db2_version() {
db2level 2>/dev/null | grep "DB2 v"
}
+get_tcserver_version() {
+ command -v tcserver >/dev/null 2>&1 && { tcserver version 2>/dev/null; }
+}
+
echo VERSIONSTART "vcops_version" "$(get_vcops_version)" VERSIONEND
echo VERSIONSTART "srm_mgt_server_version" "$(get_srm_mgt_server_version)" VERSIONEND
echo VERSIONSTART "vcenter_appliance_version" "$(get_vcenter_appliance_version)" VERSIONEND
echo VERSIONSTART "db2_version" "$(get_db2_version)" VERSIONEND
+echo VERSIONSTART "tcserver_version" "$(get_tcserver_version)" VERSIONEND
get_version "/\S+/(httpd-prefork|httpd|httpd2-prefork)($|\s)" -v
get_version "/usr/(bin|sbin)/apache\S*" -v
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
index 1694514af..0fc89c628 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-connection-info.sh
@@ -1,16 +1,16 @@
#!/bin/sh
# check if necesary commands exist
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
command -v tr >/dev/null 2>&1 || { echo >&2 "tr doesn't exist"; exit 1; }
# get pids of listening processes
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | sort -u)
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | sort -u)
# grep pattern
pattern=$(echo $space_separated_pids | tr ' ' '|')
# get matching lines
-netstat -antup | grep -E $pattern
+ss -antup | grep -E $pattern
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
index 173b1c044..d7a102005 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-info.sh
@@ -1,14 +1,14 @@
#!/bin/sh
# check if necesary commands exist
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
command -v tr >/dev/null 2>&1 || { echo >&2 "tr doesn't exist"; exit 1; }
command -v ps >/dev/null 2>&1 || { echo >&2 "ps doesn't exist"; exit 1; }
# get pids of listening processes
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]*" | sort -u)
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]*" | sort -u)
# ps accepts comma separated pids
comma_separated_pids=$(echo $space_separated_pids | tr ' ' ',')
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
index ad83762d5..9a694d4c4 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-listening-process-perf-metrics.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# check if necesary commands exist
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
command -v awk >/dev/null 2>&1 || { echo >&2 "awk doesn't exist"; exit 1; }
@@ -108,6 +108,6 @@ get_performance_metrics() {
run $pids
}
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]+" | sort -u)
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]+" | sort -u)
get_performance_metrics $space_separated_pids
\ No newline at end of file
diff --git a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
index b74d17153..c7a1e7cfb 100644
--- a/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
+++ b/open-vm-tools/services/plugins/serviceDiscovery/get-versions.sh
@@ -1,12 +1,12 @@
#!/bin/sh
# check if necesary commands exist
-command -v netstat >/dev/null 2>&1 || { echo >&2 "netstat doesn't exist"; exit 1; }
+command -v ss >/dev/null 2>&1 || { echo >&2 "ss doesn't exist"; exit 1; }
command -v grep >/dev/null 2>&1 || { echo >&2 "grep doesn't exist"; exit 1; }
command -v sort >/dev/null 2>&1 || { echo >&2 "sort doesn't exist"; exit 1; }
command -v ps >/dev/null 2>&1 || { echo >&2 "ps doesn't exist"; exit 1; }
-space_separated_pids=$(netstat -lntup | grep -Eo "[0-9]+/" | grep -Eo "[0-9]*" | sort -u)
+space_separated_pids=$(ss -lntup | grep -Eo "pid=[0-9]+" | grep -Eo "[0-9]*" | sort -u)
get_command_line() {
ps --pid $1 -o command

View File

@ -1 +1 @@
SHA512 (open-vm-tools-11.1.0-16036546.tar.gz) = cd1f8399b9660ecac8222cfdc0d6331dce67db2f3a1788f21b18b201066dbcd059f429130f1fb5b416bb9a06b4882ec462a134aa8ca595f17dc48af0b7f59e8e
SHA512 (open-vm-tools-11.1.5-16724464.tar.gz) = 8c93fe0ac151a72d2fa93b99ea9b615b5c2caf9193c77f8884e4d1ba3b080e66475d2429488b6bedef2a0325929256115a2ae8d02607a5b9725056d7975e1184